CAD Forum - Database of tips, tricks and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
CZ | EN | DE
Login or
registration
  Visitors: 10048
RSS channel - CAD tips RSS tips
RSS discussions

Discussion Discussion forum

 

HelpCAD discussion

 
CAD Forum - Homepage CAD discussion forum - ask any CAD-related questions here, share your CAD knowledge on AutoCAD, Inventor, Revit and other Autodesk software with your peers from all over the world. To start a new topic, choose an appropriate forum.

Please abide by the rules of this forum.

How to post questions: register or login, go to the specific forum and click the NEW TOPIC button.
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

Allow all blocks to explode

 Post Reply Post Reply
Author
deoogo View Drop Down
Newbie
Newbie


Joined: 31.Mar.2023
Location: Brazil
Using: AutoCAD, Civil 3D, Revit, Dynamo
Status: Offline
Points: 6
Post Options Post Options   Thanks (0) Thanks(0)   Quote deoogo Quote  Post ReplyReply Direct Link To This Post Topic: Allow all blocks to explode
    Posted: 18.Aug.2023 at 18:55
Hello guys! 

I need some help, please. Today i'm working on a architectural project and whos does it, locked all blocks to explode (And have a LOT of diferent types of blocks), so i'm loosing so much time entering on the properties to allow explode them, and so, change something that i need. Confused

Does anybody know any way to does it faster? 

(Sorry for any gramatical error) LOL

Tks, 
Diogo.


Back to Top
Vladimir Michl View Drop Down
Moderator Group
Moderator Group

Arkance Systems CZ

Joined: 26.Jul.2007
Location: Czech Republic
Using: Autodesk software
Status: Offline
Points: 1993
Post Options Post Options   Thanks (0) Thanks(0)   Quote Vladimir Michl Quote  Post ReplyReply Direct Link To This Post Posted: 18.Aug.2023 at 22:27
You can load this LISP code and then type the MakeExpl command:

(vl-load-com)
(defun C:MakeExpl ( / bl)
(vlax-for bl (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
 (or (wcmatch (vla-get-name bl) "`**_Space*")
     (vla-put-explodable bl :vlax-true)
 )
)
(princ)
)
Vladimir Michl (moderator)
Arkance Systems - arkance-systems.cz - Autodesk reseller
Back to Top

Related CAD tips:


 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down



This page was generated in 0,328 seconds.